commit:     b78cb38113afc657592651d15f3d25bbaf129ef6
Author:     Alexander Tsoy <alexander <AT> tsoy <DOT> me>
AuthorDate: Fri May 27 21:25:06 2022 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri May 27 21:42:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b78cb381

sys-kernel/dracut: bump to 056

Signed-off-by: Alexander Tsoy <alexander <AT> tsoy.me>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-kernel/dracut/Manifest          |   1 +
 sys-kernel/dracut/dracut-056.ebuild | 173 ++++++++++++++++++++++++++++++++++++
 2 files changed, 174 insertions(+)

diff --git a/sys-kernel/dracut/Manifest b/sys-kernel/dracut/Manifest
index e4058c6c0c56..8f585a4e1527 100644
--- a/sys-kernel/dracut/Manifest
+++ b/sys-kernel/dracut/Manifest
@@ -1,2 +1,3 @@
 DIST dracut-053.tar.xz 354668 BLAKE2B 
d20d0f1675e18cf44615a98255c8b1a73f23e9c665a771a1fe99716d3bf0b6082961ab20fe058bf31c106c4f521d9e8708e2ae98cff00f613197bbf9dd3abda3
 SHA512 
4736f84442bda208a38d3285ffeb8b845f06e52e3bf60d2aaea121240cf695e1369208c2d2cee1137a6c1d3f8f7794385675006beaf5cd86ade259d5f42d039a
 DIST dracut-055.tar.xz 361752 BLAKE2B 
9fcb0bce9ead2e079c70a377ea53701e4634d3dc64ae163e0e157d7d85822a274813e05f6079768640e1807818fad7a8158626413d773686a8d52fcd95fb5680
 SHA512 
2d2ea2889d9013bc94245bd7d1a2154f24d02bd9c2f7dbb28e5968e17d918e6598c68d85b0f551f968218980a80b19361ca0c9e8e94997ba54f4c09afcd6d866
+DIST dracut-056.tar.xz 384196 BLAKE2B 
e3e4fa3024b401cc954ba6069c54e95912691ff68a838e3c43bfc6a5b284bdee1669c782b30503c0246b7146c545ee8825febefcff93bae76ec46067cb7b87e1
 SHA512 
19268763e128984d20cab766bbdf2de12fe534ce2562fc688203099ef9b4cf83d0ccd2129499c70cdc6dd4ad53f0ffc2f3378eff5b8a15fda27c23b20f903df2

diff --git a/sys-kernel/dracut/dracut-056.ebuild 
b/sys-kernel/dracut/dracut-056.ebuild
new file mode 100644
index 000000000000..35a294f43e10
--- /dev/null
+++ b/sys-kernel/dracut/dracut-056.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 linux-info optfeature systemd toolchain-funcs
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/dracutdevs/dracut";
+else
+       [[ "${PV}" = *_rc* ]] || \
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc 
~ppc64 ~riscv ~sparc ~x86"
+       SRC_URI="https://www.kernel.org/pub/linux/utils/boot/${PN}/${P}.tar.xz";
+fi
+
+DESCRIPTION="Generic initramfs generation tool"
+HOMEPAGE="https://dracut.wiki.kernel.org";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="selinux test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       app-arch/cpio
+       >=app-shells/bash-4.0:0
+       sys-apps/coreutils[xattr(-)]
+       >=sys-apps/kmod-23[tools]
+       || (
+               >=sys-apps/sysvinit-2.87-r3
+               sys-apps/openrc[sysv-utils(-),selinux?]
+               sys-apps/systemd[sysv-utils]
+       )
+       >=sys-apps/util-linux-2.21
+       virtual/pkgconfig
+       virtual/udev
+
+       elibc_musl? ( sys-libs/fts-standalone )
+       selinux? (
+               sec-policy/selinux-dracut
+               sys-libs/libselinux
+               sys-libs/libsepol
+       )
+"
+DEPEND="
+       >=sys-apps/kmod-23
+       elibc_musl? ( sys-libs/fts-standalone )
+"
+
+BDEPEND="
+       app-text/asciidoc
+       app-text/docbook-xml-dtd:4.5
+       >=app-text/docbook-xsl-stylesheets-1.75.2
+       >=dev-libs/libxslt-1.1.26
+       virtual/pkgconfig
+"
+
+QA_MULTILIB_PATHS="usr/lib/dracut/.*"
+
+PATCHES=(
+       "${FILESDIR}"/gentoo-ldconfig-paths-r1.patch
+)
+
+src_configure() {
+       local myconf=(
+               --prefix="${EPREFIX}/usr"
+               --sysconfdir="${EPREFIX}/etc"
+               --bashcompletiondir="$(get_bashcompdir)"
+               --systemdsystemunitdir="$(systemd_get_systemunitdir)"
+       )
+
+       tc-export CC PKG_CONFIG
+
+       echo ./configure "${myconf[@]}"
+       ./configure "${myconf[@]}" || die
+
+       if [[ ${PV} != 9999 && ! -f dracut-version.sh ]] ; then
+               # Source tarball from github doesn't include this file
+               echo "DRACUT_VERSION=${PV}" > dracut-version.sh || die
+       fi
+}
+
+src_test() {
+       if [[ ${EUID} != 0 ]]; then
+               # Tests need root privileges, bug #298014
+               ewarn "Skipping tests: Not running as root."
+       elif [[ ! -w /dev/kvm ]]; then
+               ewarn "Skipping tests: Unable to access /dev/kvm."
+       else
+               emake -C test check
+       fi
+}
+
+src_install() {
+       local DOCS=(
+               AUTHORS
+               NEWS.md
+               README.md
+               docs/README.cross
+               docs/README.generic
+               docs/README.kernel
+               docs/SECURITY.md
+       )
+
+       default
+
+       docinto html
+       dodoc dracut.html
+}
+
+pkg_postinst() {
+       if linux-info_get_any_version && linux_config_exists; then
+               ewarn ""
+               ewarn "If the following test report contains a missing kernel"
+               ewarn "configuration option, you should reconfigure and rebuild 
your"
+               ewarn "kernel before booting image generated with this Dracut 
version."
+               ewarn ""
+
+               local CONFIG_CHECK="~BLK_DEV_INITRD ~DEVTMPFS"
+
+               # Kernel configuration options descriptions:
+               local ERROR_DEVTMPFS='CONFIG_DEVTMPFS: "Maintain a devtmpfs 
filesystem to mount at /dev" '
+               ERROR_DEVTMPFS+='is missing and REQUIRED'
+               local ERROR_BLK_DEV_INITRD='CONFIG_BLK_DEV_INITRD: "Initial RAM 
filesystem and RAM disk '
+               ERROR_BLK_DEV_INITRD+='(initramfs/initrd) support" is missing 
and REQUIRED'
+
+               check_extra_config
+               echo
+       else
+               ewarn ""
+               ewarn "Your kernel configuration couldn't be checked."
+               ewarn "Please check manually if following options are enabled:"
+               ewarn ""
+               ewarn "  CONFIG_BLK_DEV_INITRD"
+               ewarn "  CONFIG_DEVTMPFS"
+               ewarn ""
+       fi
+
+       optfeature "Networking support" net-misc/networkmanager
+       optfeature "Legacy networking support" net-misc/curl 
"net-misc/dhcp[client]" \
+               sys-apps/iproute2 "net-misc/iputils[arping]"
+       optfeature \
+               "Measure performance of the boot process for later 
visualisation" \
+               app-benchmarks/bootchart2 app-admin/killproc sys-process/acct
+       optfeature "Scan for Btrfs on block devices"  sys-fs/btrfs-progs
+       optfeature "Load kernel modules and drop this privilege for real init" \
+               sys-libs/libcap
+       optfeature "Support CIFS" net-fs/cifs-utils
+       optfeature "Decrypt devices encrypted with cryptsetup/LUKS" \
+               "sys-fs/cryptsetup[-static-libs]"
+       optfeature "Support for GPG-encrypted keys for crypt module" \
+               app-crypt/gnupg
+       optfeature \
+               "Allows use of dash instead of default bash (on your own risk)" 
\
+               app-shells/dash
+       optfeature "Support iSCSI" sys-block/open-iscsi
+       optfeature "Support Logical Volume Manager" sys-fs/lvm2
+       optfeature "Support MD devices, also known as software RAID devices" \
+               sys-fs/mdadm
+       optfeature "Support Device Mapper multipathing" sys-fs/multipath-tools
+       optfeature "Plymouth boot splash"  '>=sys-boot/plymouth-0.8.5-r5'
+       optfeature "Support network block devices" sys-block/nbd
+       optfeature "Support NFS" net-fs/nfs-utils net-nds/rpcbind
+       optfeature \
+               "Install ssh and scp along with config files and specified 
keys" \
+               net-misc/openssh
+       optfeature "Enable logging with rsyslog" app-admin/rsyslog
+       optfeature \
+               "Enable rngd service to help generating entropy early during 
boot" \
+               sys-apps/rng-tools
+}

Reply via email to